Bug 118651 - bad wnn home dir, /etc/services munging
Summary: bad wnn home dir, /etc/services munging
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: FreeWnn (Show other bugs)
(Show other bugs)
Version: 2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Bill Huang
URL:
Whiteboard:
Keywords: i18n
Depends On:
Blocks: FC2Blocker
TreeView+ depends on / blocked
 
Reported: 2004-03-18 16:41 UTC by Bill Nottingham
Modified: 2014-03-17 02:43 UTC (History)
3 users (show)

Fixed In Version: 1:1.10pl020-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-06 02:16:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Nottingham 2004-03-18 16:41:51 UTC
1) you shouldn't touch /etc/services... the services file is in setup
and can be modified there if needed.
2) wnn's home dir shouldn't be in /home
3) wnn is created in both FreeWnn-common and FreeWnn %post - pick one. :)

Comment 1 Jens Petersen 2004-03-19 03:31:33 UTC
Thanks, fixing in next build.

Comment 2 Warren Togami 2004-04-11 02:37:32 UTC
Has this been fixed?

Comment 3 Jens Petersen 2004-04-12 04:41:47 UTC
Should be in 1:1.10pl020-1.

Comment 4 Seth Vidal 2004-05-07 16:06:29 UTC
Looking in %preinstall of 1.11-42.1 I'm seeing
preinstall scriptlet (using /bin/sh):
# Do only for the first install
if [ "$1" = 1 ] ; then
  # Add the wnn4 lines to /etc/services
  if (grep '22273/tcp' /etc/services >/dev/null); then
    true
  else
    cat <<'_EOD2_' >>/etc/services
# start of wnn4 services
wnn4              22273/tcp
# end of wnn4 services
_EOD2_
  fi
fi
 

seems like services is still being modified.
and the user account is being created in both FreeWnn and FreeWnn-common




Comment 5 Jens Petersen 2004-05-07 16:22:55 UTC
Unfortunately FreeWnn-1.10pl020 segfaults on hammer at least
and possibly another arch too iirc.

Comment 6 Jens Petersen 2004-05-10 06:57:15 UTC
In comment 5, I meant the 1.10pl020 build segfaults on x86_64.

Comment 7 Jens Petersen 2004-07-05 11:33:33 UTC
Sopwith built it recently.  


Note You need to log in before you can comment on or make changes to this bug.